package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkChannelOrderCreateConsignee struct {
	/*
	   收件人名称     */
	Name *string `json:"name,omitempty" `

	/*
	   收件人电话     */
	Phone *string `json:"phone,omitempty" `

	/*
	   配送地址     */
	Address *string `json:"address,omitempty" `

	/*
	   配送坐标     */
	Geo *string `json:"geo,omitempty" `

	/*
	   配送开始时间     */
	StartTime *util.LocalTime `json:"start_time,omitempty" `

	/*
	   配送结束时间     */
	EndTime *util.LocalTime `json:"end_time,omitempty" `

	/*
	   0:高德坐标系，1:其他坐标系（需要坐标修正）     */
	Type *int64 `json:"type,omitempty" `

	/*
	   城市名称，仅在type不为0的情况下传入     */
	City *string `json:"city,omitempty" `
}

func (s *AlibabaWdkChannelOrderCreateConsignee) SetName(v string) *AlibabaWdkChannelOrderCreateConsignee {
	s.Name = &v
	return s
}
func (s *AlibabaWdkChannelOrderCreateConsignee) SetPhone(v string) *AlibabaWdkChannelOrderCreateConsignee {
	s.Phone = &v
	return s
}
func (s *AlibabaWdkChannelOrderCreateConsignee) SetAddress(v string) *AlibabaWdkChannelOrderCreateConsignee {
	s.Address = &v
	return s
}
func (s *AlibabaWdkChannelOrderCreateConsignee) SetGeo(v string) *AlibabaWdkChannelOrderCreateConsignee {
	s.Geo = &v
	return s
}
func (s *AlibabaWdkChannelOrderCreateConsignee) SetStartTime(v util.LocalTime) *AlibabaWdkChannelOrderCreateConsignee {
	s.StartTime = &v
	return s
}
func (s *AlibabaWdkChannelOrderCreateConsignee) SetEndTime(v util.LocalTime) *AlibabaWdkChannelOrderCreateConsignee {
	s.EndTime = &v
	return s
}
func (s *AlibabaWdkChannelOrderCreateConsignee) SetType(v int64) *AlibabaWdkChannelOrderCreateConsignee {
	s.Type = &v
	return s
}
func (s *AlibabaWdkChannelOrderCreateConsignee) SetCity(v string) *AlibabaWdkChannelOrderCreateConsignee {
	s.City = &v
	return s
}
